libdbusmenu (18.10.20180917~bzr490+repack1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 14:32:33 +0800

libdbusmenu (18.10.20180917~bzr490+repack1-1) unstable; urgency=medium

  * New upstream Bazaar snapshot.
  * debian/patches:
    + Drop 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
  * debian/rules:
    + Switch to repacking Bzr snapshot rather than using Ubuntu package
      archive as upstream.
  * debian/control:
    + Bump Standards-Version. to 4.2.1. No changes needed.
  * debian/watch:
    + Add dversionmangle option (even though we pull from lp:libdbusmenu
      directly.
  * debian/copyright:
    + Explain why we repack the orig tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Sep 2018 14:29:23 +0200

libdbusmenu (16.04.1+18.04.20171206-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Use Section: libs for src:package.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Drop B-D dh-autoreconf. Implicitly pulled in by DH >= 10.
    + Fix typo in Maintainer: field (in the full name).
    + Omit valgrind from B-D on ia64 and riscv64 architectures. (Closes:
      #895577).
  * debian/{control,compat}: Bump to DH compat level 11.
  * debian/copyright:
    + Use secure URI for copyright format reference.
  * debian/changelog: White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jul 2018 10:53:14 +0200

libdbusmenu (16.04.1+17.04.20170109.1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
      Fix FTBFS during gtkdoc-check unit tests. This patch basically disables
      unit tests for gtkdoc-check. (Closes: #876613).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 11:26:11 +0200

libdbusmenu (16.04.1+17.04.20170109.1-4) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Raise versioned B-D for debhelper (>= 10.3~).
    + Bump Standards-Version: to 4.0.1. No changes needed.
  * debian/rules:
    + Switch over from dh_install --fail-missing to dh_missing
      --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 20:06:43 +0200

libdbusmenu (16.04.1+17.04.20170109.1-3) experimental; urgency=medium

  * debian/control:
    + Drop Evgeni Golov from Uploaders: field per request via #debian-devel
      on 2017-05-22 12:37 CEST.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/watch:
    + Use Ubuntu's orig.tar.gz as orig tarball source.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 May 2017 10:41:41 +0200

libdbusmenu (16.04.1+17.04.20170109.1-2) experimental; urgency=medium

  * debian/control:
    + Exclude valgrind as B-D from various Debian-supported build platforms.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 May 2017 12:15:21 +0200

libdbusmenu (16.04.1+17.04.20170109.1-1) experimental; urgency=medium

  * Merge new upstream release from Ubuntu.
    - libdbusmenu-gtk4: Don't send Ubuntu-specific signal 'child-added' anymore.
      (Closes: #850769).
  * debian/patches:
    + Add 0001_no-deprecated-gnome-common-macros.patch. Fully drop deprecated
      gnome-common variables and macros. This and latest upstream changes...
      (Closes: #829962).
  * debian/control:
    + New uploader for this package (Mike Gabriel). Package remains
      team-maintained. (Closes: #818020).
    + Replace Ubuntu's Vcs-*: fields. Now pointing to Debian's pkg-ayatana
      namespace on git.debian.org.
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Typo fix for the word "development".
    + Fix duplicate SYNOPSIS and LONG_DESCRIPTION phrases.
    + Drop superfluous Pre-Depends: fields.
  * debian/{control,compat}:
    + Bump to DH level 10.
  * debian/{control,rules}:
    + Enable bindnow hardening (i.e. all hardening flags).
  * debian/rules:
    + Remove builddir/ on dh_auto_clean. Make build idempotent.
    + Don't do parallel make during dh_auto_install. Several race conditions
      have been observed for unknown reason. Avoid those.
    + More dh_shlibdeps calls (for libdbusmenu-glib4, libdbusmenu-jsonloader4
      and libdbusmenu-tools).
  * debian/*: Process with 'wrap-and-sort -s -b -t'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2017 16:33:42 +0200

libdbusmenu (16.04.1+17.04.20170109.1-0ubuntu1) zesty; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build with --enable-massivedebugging

  [ Marco Trevisan (Treviño) ]
  * debian/control: add gnome-common as build dependency for autogen.sh"
    debian/control

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:38:49 +0000

libdbusmenu (16.04.1+16.10.20160927.2-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Albert Astals Cid ]
  * genericmenuitem: Make accelerator text appear again (LP: #1628196)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 27 Sep 2016 22:03:54 +0000

libdbusmenu (12.10.3+16.04.20160223.1-0ubuntu1) xenial; urgency=medium

  [ Dan Williams ]
  * gtk: look for GtkImages on regular GtkMenuItems too (LP: #1549021)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Feb 2016 23:20:43 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu2) xenial; urgency=high

  * Disable test-json-instruction, hangs on buildds, see launchpad bug
    1429291.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Dec 2015 10:13:22 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Marco Trevisan (Treviño) ]
  * Parser: don't override the label for stock items if a custom one is
    provided (LP: #1270486)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 21:56:13 +0000

libdbusmenu (12.10.3+15.04.20150409.1-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * Use the configure-generated libtool script instead of
    /usr/bin/libtool, which might not match what we have. Also use gi's
    typelibdir pkgconfig variable and install into this directory, now
    that gi supports multiarch.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 09 Apr 2015 17:36:00 +0000

libdbusmenu (12.10.3+14.10.20140610-0ubuntu1) utopic; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Parser: make sure that the old dbus menuitem is detached from the
    widget before recreating When a dbus menuitem has to be recreated,
    we need to disconnect the widget from it, or the old one will be
    reused at next parsing cycle. (LP: #1086563)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 10 Jun 2014 15:29:30 +0000

libdbusmenu (12.10.3+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Fix FTBFS caused by failing gtk-doc coverage test * when generating
    the script that runs gtester, use ${GTKDOC_CHECK_PATH} instead of
    ${GTKDOC_CHECK} to work with upstream changes
    https://bugzilla.gnome.org/show_bug.cgi?id=701638 * add gtk-doc
    markup to subclass structs' parent fields so that gtk-doc won't mark
    them as undocumented. (LP: #1294165)

  [ Colin Watson ]
  * Run tests with VERBOSE=1 so that Automake shows more detail.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 09:04:45 +0000

libdbusmenu (12.10.3+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Don't depend on valgrind on ppc64el. (LP: #1262374)
  * Flushing trunk with a release

  [ Matthew Brush ]
  * Check to ensure the property isn't set to NULL. (LP: #907635)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Feb 2014 18:07:41 +0000

libdbusmenu (12.10.3+14.04.20131125-0ubuntu2) trusty; urgency=medium

  * Do not build-depend on valgrind on ppc64el (not yet available).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 19:01:15 +0100

libdbusmenu (12.10.3+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Alistair Buxton ]
  * Use "insert" signal instead of "child-added" (LP: #1203888) In
    recent Gtk+2 versions, the "insert" signal has been backported from
    Gtk+3. This replaces the "child-added" signal, which was carried in
    an Ubuntu-specific patch and was dropped in Saucy. . (LP: #1203888)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 462

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:55:53 +0000

libdbusmenu (12.10.3+13.10.20130913-0ubuntu2) saucy; urgency=low

  * Do not build-depend on valgrind on AArch64 (not yet available).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 01:30:44 +0200

libdbusmenu (12.10.3+13.10.20130913-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Extend timeouts for busy Jenkins ARM machines.
  * Protect client_new functions from bad dbus names and objects.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 458

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 13 Sep 2013 15:16:38 +0000

libdbusmenu (12.10.3+13.10.20130731-0ubuntu1) saucy; urgency=low

  [ Jeremy Bicha ]
  * Don't build-depend on gnome-doc-utils.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 455

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 02:02:59 +0000

libdbusmenu (12.10.3+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * Fix a bug caused by keeping signals connected to menuitems that
    we're not using anymore. (LP: #1154701)
  * Fix breakage when building with coverage scanning.

  [ Ted Gould ]
  * Increase test timeouts to ensure proper results on slower platforms
    (ARM).

  [ Jeremy Bicha ]
  * Build with default valac.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 453

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 02:03:25 +0000

libdbusmenu (12.10.3daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Jeremy Bicha ]
  * According to Debian's GObject introspection mini-policy:
    http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gobject-
    introspection/debian/policy.txt?view=markup.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 448

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 02:02:27 +0000

libdbusmenu (12.10.3daily13.06.07-0ubuntu1) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Fix gtkdoc-check tests, and move them to tests subdirectory.

  [ Chris Coulson ]
  * Fix the long-standing "nm-applet stops working after a few days /
    hours" issue; properly handle "unique" IDs for indicator menuitems.
    (LP: #1011073)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 446

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Jun 2013 02:02:59 +0000

libdbusmenu (12.10.3daily13.05.15-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * In gtkclient's destructor, balance client's earlier
    gtk_widget_add_accelerator() calls with
    gtk_widget_remove_accelerator() calls. (LP: #1173262)

  [ Mathieu Trudel-Lapierre ]
  * Remove stray g_message().

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 443

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 May 2013 12:44:56 +0000

libdbusmenu (12.10.3daily13.02.01-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/control:
    - Reorganize Build-Depends for clarity.
    - Update style to match other indicator stack packages.
    - Drop Build-Depends on cdbs.
    - Bump debhelper Build-Depends to (>= 9).
    - Update Vcs-Bzr, Vcs-Browser and add a notice to uploaders.
    - Remove outdated Breaks:.
    - Add dbus-test-runner to Build-Depends.
    - Add xvfb to Build-Depends.
  * debian/rules:
    - Convert to dh9; some variables where kept but renamed to brevity.
    - Override dh_autoreconf to make sure it calls autogen.sh, and doesn't run
      configure.
    - Clean up unnecessary files we don't want to install, so that dh_install
      can complete.
    - Override dh_auto_test to make sure they can be run for both the gtk2 and
      gtk3 flavors.
    - Run dh_auto_test through xvfb-run.
  * debian/compat: bump to compat level 9.
  * debian/libdbusmenu-gtk-doc.install: add the glib-server-nomenu.c example.
  * debian/libdbusmenu-tools.install: install dbusmenu-* binaries from the
    multiarch triplet rather than usr/lib/libdbusmenu.
  * Update main sgml documentation files to remove the xml includes we don't
    generate anymore. (LP: #1102468)
  * Drop deprecated calls to g_type_init(). (LP: #1102471)

  [ Didier Roche ]
  * Automatic snapshot from revision 435 (bootstrap):
    - Confirm that icon_name is non-NULL before passing it to
      gtk_icon_theme_has_icon(). (LP: #1082516)
    - Do not reuse menu items if their type is different (LP: #1071321)
    - Fixes interaction with GtkRecentChooserMenu (LP: #752674)

  [ Mathieu Trudel-Lapierre ]
  * libdbusmenu uses deprecated calls to g_type_init() (LP: #1102471)
  * libdbusmenu fails to build due to missing xml documentation include
    files (LP: #1102468)

  [ Chris Coulson ]
  * Leaks GVariant's in multiple places (LP: #1104136)
  * Leak in method call handlers for calls that don't require a reply
    (LP: #1103050)

  [ Automatic PS uploader ]
  * Automatic snapshot from revision 440

 -- Automatic PS uploader <ps-jenkins@lists.canonical.com>  Fri, 01 Feb 2013 02:01:01 +0000

libdbusmenu (12.10.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #818020)
  * Fix a spelling error in the description synopsis.

 -- Adrian Bunk <bunk@debian.org>  Sun, 15 Jan 2017 01:28:48 +0200

libdbusmenu (12.10.2-1) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * Team upload.
  * Many thanks to Andreas Cadhalpun!

  [Andreas Cadhalpun]
  * Import upstream version 12.10.2.
  * debian/source/format: Switch from 1.0 to 3.0 (quilt).
  * debian/patches:
     - Drop optional-valgrind.patch, included upstream.
     - Add g_type_init.patch to fix FTBFS (g_type_init is deprecated
       after glib 2.36).
     - Add reference-xinclude.patch to fix FTBFS due to XInclude errors.
  * debian/control:
     - Update valac build-dependency. (Closes: 707409, 709690)
     - Drop build-dependency on quilt.
     - Drop Breaks: libdbusmenu-glib0 (shouldn't be around anymore and
       lintian complains)
     - Update Standards version from 3.9.3 to 3.9.5 (no changes required).
  * debian/copyright: Update dates.
  * debian/rules: Drop quilt code.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 28 Aug 2014 11:15:52 -0700

libdbusmenu (12.10.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 21:23:18 +0200

libdbusmenu (12.10.1-0ubuntu2) quantal-proposed; urgency=low

  * Backport upstream fix for segfault issue (lp: #1053670)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Sep 2012 21:36:35 +0200

libdbusmenu (12.10.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Honor changes to GtkSettings' gtk-menu-images value (LP: #927236)
    - don't display an underscore on menuitimes containing a '&' (LP: #994564)
    - set the widget for the accelerator even if there isn't a mnemonic
      (LP: #982656)
    - Some platforms don't have valgrind, so treat those unit tests separately
    - make headers match independent of the build directory
    - constify some public API calls

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2012 19:22:52 +0200

libdbusmenu (0.6.2-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
  * Generate header files not arch-specific by droping the full
    (build time) path to the included files from comments.
    Closes: #674200
  * Only disable valgrind tests, not all of them.
    This reintroduces the jsonloader packages that were previously droped.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 26 Jun 2012 21:13:01 +0200

libdbusmenu (0.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * Fixed duplicated underscores in menus (LP: #979301)
    * Fix for keybindings not showing in menus bug (LP: #982656)
    * DbusmenuServer leaks private string (LP: #981766)
    * Ensure menuitems with '&' show them properly (LP: #994564)

 -- Ted Gould <ted@ubuntu.com>  Wed, 13 Jun 2012 14:44:52 -0500

libdbusmenu (0.6.1-2) unstable; urgency=low

  * Disable tests, they need valgrind, not available on all arches.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 May 2012 07:54:01 +0200

libdbusmenu (0.6.1-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
    Closes: #666943
  * Drop patches, applied upstream.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 May 2012 16:48:48 +0200

libdbusmenu (0.6.1-0ubuntu3) precise-proposed; urgency=low

  * Backport fix for keybindings not showing in menus bug (lp: #982656)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Apr 2012 21:28:05 +0200

libdbusmenu (0.6.1-0ubuntu2) precise; urgency=low

  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed duplicated underscores in menus (LP: #979301)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 12 Apr 2012 12:42:47 -0400

libdbusmenu (0.6.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix mnemonics in wifi hotspot names. (LP: #903200)
    * Fix nautilus crash in dbusmenu_menuitem_property_remove() (LP: #959821)
    * Fix about-to-show grouping.
    * Fix visibility signal in the server.
    * Silence false positives in dbusmenu's signal smoke tests.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 11 Apr 2012 11:58:22 -0500

libdbusmenu (0.5.99-0ubuntu3) precise; urgency=low

  * libdbusmenu-gtk/parser.c
    - switch the smoke test to a g_debug statement (LP: #977803)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 10 Apr 2012 13:21:02 -0400

libdbusmenu (0.5.99-0ubuntu2) precise; urgency=low

  * libdbusmenu-glib/server.c
    - Cherry picked a fix for a regression in about-to-show grouping
  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed: underscore on menu items change on switching focus (LP: #903200)
  * libdbusmenu-gtk/parser.c
    - Fixed: nautilus crashed with SIGSEGV in
      dbusmenu_menuitem_property_remove() (LP: #959821)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 09 Apr 2012 16:29:34 -0400

libdbusmenu (0.5.99-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Reduce the number of messages hud-service sends. (LP: #957022)
    * Fix valgrind tests thanks to a little help from sewardj.
    * Add gcov targets to autotools build for code-coverage reporting.
    * Make private two impl functions that were accidentally public

 -- Charles Kerr <charles.kerr@canonical.com>  Thu, 05 Apr 2012 14:22:33 -0500

libdbusmenu (0.5.96-0ubuntu2) precise; urgency=low

  * Cherry pick fix for FTBFS on arm

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Apr 2012 16:43:10 -0400

libdbusmenu (0.5.96-0ubuntu1) precise; urgency=low

  [ Charles Kerr ]
  * New upstream release.
    * Faster menuitem lookups (LP: #801699)
    * To reduce dbus traffic, only send event replies when the caller
      requests them
    * Added support for callgrind-based benchmarks
    * Minor code cleanup

  [ Ken VanDine ]
  * debian/control
    - added build depends on valgrind

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 29 Mar 2012 16:35:00 -0400

libdbusmenu (0.5.95-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix theme change bug (LP: #953509)
    * Don't request event responses if no one is listening
    * Fix a warning on custom menu items without labels

 -- Ted Gould <ted@ubuntu.com>  Wed, 21 Mar 2012 14:33:32 -0500

libdbusmenu (0.5.94-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fixing setting name of ATK objects
    * Cleaning up a warning on shutdown (LP: #950762)

 -- Ted Gould <ted@ubuntu.com>  Fri, 09 Mar 2012 14:35:38 -0600

libdbusmenu (0.5.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Setting the ATK Role on menu items (LP: #878708)
    * Cleaning up code paths to avoid goto's (LP: #940651)
    * Fixing setting an icon multiple times (LP: #934574)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Mar 2012 10:08:10 -0600

libdbusmenu (0.5.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix label leak and make it not have disposition (LP: #937829)

 -- Ted Gould <ted@ubuntu.com>  Thu, 23 Feb 2012 00:10:04 -0600

libdbusmenu (0.5.91-0ubuntu2) precise; urgency=low

  * debian/control: restore gtk2 gir depends until that source is updated

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Feb 2012 22:00:04 +0100

libdbusmenu (0.5.91-0ubuntu1) precise; urgency=low

  * debian/control:
    - drop git binaries, the libdev depends on it
    - set ubuntu vcs
    - use the current vala version

  [ Ted Gould ]
  * New upstream release.
    * Remove unused const on GStrv's
    * Only free when there is data to free
    * Ensure that we only return once even with error (LP: #929856)
    * Fix an error on a failure to send properties (LP: #929707)
    * Ensure the hash variant isn't NULL in the comparison (LP: #929710)
    * Fix some of the issues with throwing criticals
    * Ensure our tests fail if they throw criticals
    * Parse and handle a11y descriptions
    * Don't pass NULL to ATK
    * Non-srcdir build fixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Feb 2012 21:38:35 +0100

libdbusmenu (0.5.90-0ubuntu1) precise; urgency=low

  [ Ted Gould ]
  * New upstream release.
    * Add property for accessible descriptions
    * Use insert/remove signals on GTK3 build
    * Change icon data to be a byte stream instead of base64
    * Adjust GTK3 include path to match other libs
    * Don't get objects from boolean values (LP: #870742)
    * Fix depreactions on GTK3 (LP: #917115)

  [ Ken VanDine ]
  * debian/control
    - build depend on libatk1.0-dev
  * debian/*-dev.install
    - fixed paths for installed headers
  * debian/libdbusmenu-glib4.symbols
    - added new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 02 Feb 2012 14:09:24 -0500

libdbusmenu (0.5.1-0ubuntu2) precise; urgency=low

  * libdbusmenu-gtk/parser.c
    - Don't try to get objects from boolean values. Handle the
      'always show image' property by getting the image from the object
      and using that (LP: #870742)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 01 Dec 2011 11:07:36 -0500

libdbusmenu (0.5.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Allow for an ID of 0 in about_to_show for indicators (LP: #862989)
    * Clear the image pointer when we take it
    * Ensure we drop all references to the GTK widget when a menuitem
      gets destroyed (LP: #835646)

 -- Ted Gould <ted@ubuntu.com>  Fri, 28 Oct 2011 09:35:13 -0400

libdbusmenu (0.5.0-3) unstable; urgency=low

  * Fix GTK3 deprecations (based on upstream r352).
    Closes: #669436
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Apr 2012 19:15:37 +0200

libdbusmenu (0.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 19 Feb 2012 10:55:28 +0100

libdbusmenu (0.5.0-1ubuntu1) precise; urgency=low

  * Multiarch conversion (partial, gobject instrospection not touched)
    (LP: #859512)

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 26 Sep 2011 12:13:07 +0300

libdbusmenu (0.5.0-1) experimental; urgency=low

  * Merge from Ubuntu.
    + Re-enable GTK3 packages.
  * Re-order includes in debian/rules to prevent lintian's
    E: libdbusmenu source: temporary-debhelper-file

 -- Evgeni Golov <evgeni@debian.org>  Sat, 15 Oct 2011 09:29:54 +0200

libdbusmenu (0.5.0-0ubuntu3) oneiric; urgency=low

  * libdbusmenu-gtk/client.c:
    - Make sure to actually free memory associated with GtkMenuItems we
      create.  We are holding the sunk floating ref, so we have to
      actually unref as well as destroy the widget.  Part of bug 835646.
  * libdbusmenu-gtk/genericmenuitem.c:
    - When setting an image on a menu item for the second time before
      setting a label, don't try to use free'd memory.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 06 Oct 2011 10:35:21 -0400

libdbusmenu (0.5.0-0ubuntu2) oneiric; urgency=low

  * libdbusmenu-glib/client.c
    - id of 0 in dbusmenu_client_send_about_to_show is valid, and used in
      appindicators like nm-applet (LP: #862989)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Sep 2011 10:06:19 -0400

libdbusmenu (0.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    * Protect functions against NULL results (LP: #757569, LP: #742909,
      LP: #743050, LP: #743661)

 -- Ted Gould <ted@ubuntu.com>  Thu, 29 Sep 2011 14:46:57 -0500

libdbusmenu (0.4.94-0ubuntu1) oneiric; urgency=low

  [ Ted Gould ]
  * New upstream release.
    ∘ Protect functions from NULL submenus (LP: #803667)
    ∘ Build fixes (LP: #552526, LP: #552530, LP: #552538, LP: #709761,
      LP: #713690, LP: #643871, LP: #713685)

  [ Ken VanDine ]
  * debian/control
    - build dep on valac-0.14

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Sep 2011 09:16:41 -0700

libdbusmenu (0.4.93-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    * Fix packing of generic menu items to use toggle-spacing

 -- Ted Gould <ted@ubuntu.com>  Thu, 25 Aug 2011 09:50:21 -0500

libdbusmenu (0.4.92-0ubuntu1) oneiric; urgency=low

  [ Ted Gould ]
  * New upstream release (0.4.92).
    * Add in a property for setting the menuitem disposition
    * Fix GTK 2 build for style properties
    * Fixed proxied menu events not getting returned (LP: #799878)
  * Removed debian/patches:
    * All upstream

  [ Ken VanDine ]
  * debian/libdbusmenu-gtk4.symbols debian/libdbusmenu-gtk3-4.symbols
    - Added new symbols

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Aug 2011 20:22:14 -0400

libdbusmenu (0.4.90-0ubuntu4) oneiric; urgency=low

  * debian/rules:
    - avoid making indicator-appmenu* depends on gtk2/3 by dpkg-shlibdeps.
      The library doesn't hurt if gtk isn't installed and that enable
      pre-installlation of the indicator stack without requiring the full gtk
      stack being there without any gtk app installed.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Jul 2011 18:18:11 +0200

libdbusmenu (0.4.90-0ubuntu3) oneiric; urgency=low

  * debian/patches/lp799878.patch
    - Fixed proxied menu events not getting returned (LP: #799878)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 28 Jun 2011 17:53:31 +0100

libdbusmenu (0.4.90-0ubuntu2) oneiric; urgency=low

  * debian/control
    - Also a a breaks to libdbusmenu-glib4 for gir1.2-unity-3.0 and
      gir1.2-indicate-0.5 to make sure the library gets held back too.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 24 Jun 2011 16:05:56 -0400

libdbusmenu (0.4.90-0ubuntu1) oneiric; urgency=low

  [ Ted Gould ]
  * debian/control, debian/*: Renaming packages for library version
    bump from 3 to 4.
  * New upstream release.
    * Fixing visibility for Eclipse (LP: #770263 and LP: #618587)
    * Unseting a GValue properly (LP: #785828)
    * Memory leaks for GVariant usage (LP: #784890)
    * Making GTK 3 default build
    * Removing the SerializableMenuitem object
  * debian/rules: Making GTK2 the special build

  [ Ken VanDine ]
  * +debian/libdbusmenu-jsonloader4.symbols
  * debian/*.symbols
    - Fixed sonames and removed all the duplicate symbols
  * debian/*.install, debian/rules
    - Use cdbs to do the dual builds for gtk2/gtk3
  * debian/control
    - Updated standards version to 3.9.2
    - Set version on the json-glib build depends to >= 0.13.4
    - Make gir1.2-dbusmenu-glib-0.4 break gir1.2-unity-3.0 and
      gir1.2-indicate-0.5 built against older versions of dbusmenu to
      prevent breakage in python apps that use gir loading multiple versions
      of dbusmenu-glib

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 24 Jun 2011 14:55:59 -0400

libdbusmenu (0.4.4-0ubuntu1~ppa1) natty; urgency=low

  * New upstream release.
    - Fix a typo in the signal name to make it match the XML
      files (LP: #641209)
    - Ref'ing the server for the entire time we're getting the
      bus (LP: #738568)
    - Watch additions/removals from submenus that get added
    - Activate new toplevel menu items as they get added
    - Make sure we don't activate toplevel children that aren't
      menu items or don't have submenus (LP: #761112)

 -- Ted Gould <ted@ubuntu.com>  Mon, 25 Apr 2011 15:19:25 -0500

libdbusmenu (0.4.3-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.
  * Do not build-depend on gir-repository-dev, libgtk2.0-dev
    has Gtk-2.0.gir since 2.24.4-1 (bump B-D accordingly).
  * Standards-Version: 3.9.2

 -- Evgeni Golov <evgeni@debian.org>  Wed, 27 Apr 2011 14:00:04 +0200

libdbusmenu (0.4.3-0ubuntu3) natty; urgency=low

  * Backport bug fixes from trunk:
    - Fix a typo in the signal name to make it match the XML
      files (LP: #641209)
    - Ref'ing the server for the entire time we're getting the
      bus (LP: #738568)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 19 Apr 2011 15:14:23 -0400

libdbusmenu (0.4.3-0ubuntu2) natty; urgency=low

  * Backport bug fixes from trunk:
    - Watch additions/removals from submenus that get added
    - Activate new toplevel menu items as they get added
    - Make sure we don't activate toplevel children that aren't
      menu items or don't have submenus (LP: #761112)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 15 Apr 2011 15:55:37 -0400

libdbusmenu (0.4.3-0ubuntu1) natty; urgency=low

  [ Ken VanDine ]
  * debian/rules
    - Fixed package names in build targets (LP: #760102)
    - Dropped makeshlibs in favor of symbols files
  * +debian/libdbusmenu-glib3.symbols
  * +debian/libdbusmenu-gtk3-3.symbols
  * +debian/libdbusmenu-gtk3.symbols

  [ Ted Gould ]
  * New upstream release.
    ∘ Handle cases where labels are added later as subwidgets
      in the menuitem (LP: #758759)
    ∘ Fix the destruction of the attached GTK menuitem (LP: #746091)
    ∘ Guard against an activation that does not actually have an
      associated menu-hide (LP: #750588)

 -- Ted Gould <ted@ubuntu.com>  Thu, 14 Apr 2011 16:49:13 -0500

libdbusmenu (0.4.2-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 11 Apr 2011 12:43:49 +0200

libdbusmenu (0.4.2-0ubuntu3) natty; urgency=low

  * Merged fix, guard against an activation that does not actually have
    an associated menu-hide (LP: #750588)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 11 Apr 2011 00:56:02 -0400

libdbusmenu (0.4.2-0ubuntu2) natty; urgency=low

  * debian/libdbusmenu-gtk3-dev.install:
    - Add missing header files to gtk3 dev package

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Apr 2011 20:20:25 -0400

libdbusmenu (0.4.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fix GIR scan to not include duplicate namespaces (LP: #750575)
    * Keep refs to the client and makes sure to disconnect all handlers.
      (LP: #749609)
    * Add GTK side handlers for the open/close events to ensure GTK apps
      can use those events still (LP: #750588)
    * Create submenus for menuitems that don't have children but still
      have told us they need them with the child-display property.
      (LP: #619811)

 -- Ted Gould <ted@ubuntu.com>  Thu, 07 Apr 2011 10:32:51 -0500

libdbusmenu (0.4.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Managed variant iterators better to stop crash when dealing
      with apps that have multiple shortcuts (LP: #741726)
    * Handled GtkMenuItems with no labels as separators (LP: #729187)

 -- Ted Gould <ted@ubuntu.com>  Thu, 31 Mar 2011 13:56:54 -0500

libdbusmenu (0.4.0-2) unstable; urgency=low

  * Build-depend on gir1.2-atk-1.0, it's not pulled in by gir1.2-gtk-2.0
    on ia64, mipsel and sparc64, causing FTBFS there.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 30 Mar 2011 10:16:59 +0200

libdbusmenu (0.4.0-1) unstable; urgency=low

  * Merge new upstream release from Ubuntu.
    This builds with gir-1.2 and thus closes: #614490.
    Also builds fine with --as-needed, closes: #615741.
  * Disable GTK3 packages for now.
  * Fix DEB_DH_MAKESHLIBS_ARGS_* for the latest SONAME bump.
  * Also fix cdbs targets for it.
  * Use valac-0.10, valac-0.12 is only in experimental.
  * Add gir-repository-dev back to Build-Depends,
    it still has Gtk-2.0.gir on Debian.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 Mar 2011 15:55:16 +0100

libdbusmenu (0.4.0-0ubuntu2) natty; urgency=low

  * Cherry picked fix for potential memory issues to fix unity-panel-service
     crashed with SIGABRT in __kernel_vsyscall() (LP: #741726)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 28 Mar 2011 14:56:59 -0400

libdbusmenu (0.4.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Protect from NULL variants by using iter_loop (LP: #737844)
    * Look for accellerators inside the labels as well
    * Protecting properties that are getting updated from an
      extra remove signal.  (LP: #730925)
    * Enter and exit the GDK threads before calling GTK (LP: #717162)

 -- Ted Gould <ted@ubuntu.com>  Wed, 23 Mar 2011 14:56:24 -0500

libdbusmenu (0.3.102-0ubuntu1) natty; urgency=low

  * New upstream release.
    ∘ Remove child items when they're removed by GTK
    ∘ Adding opened and closed events for menu visibility
    ∘ Handle empty image types
    ∘ Remove critical warning on parser menuitem check (LP: #733918)
    ∘ Fix dependencies in pkgconfig files (LP: #733263)
    ∘ Handle NULL labels (LP: #733688)
    ∘ Fix memory leaks from variants (LP: #722972)

 -- Ted Gould <ted@ubuntu.com>  Wed, 16 Mar 2011 14:08:13 -0500

libdbusmenu (0.3.101-0ubuntu1) natty; urgency=low

  * New upstream release.
    ∘ Add helper to get cached menuitem from widget
    ∘ Have the GTK Dbusmenu Client handle theme directories (LP: #727325)
    ∘ Fix a bunch of memory leaks (LP: #722972)
    ∘ Handle _ in menuitems more correctly when parsing (LP: #621301)
    ∘ Protect from NULL layout_props (LP: #729722)
    ∘ Remove the property from the hashtable before signaling that
      it's been changed (LP: #725603)
    ∘ Wrap emitted properties in a variant
    ∘ Fix enum templates so they can be included by other programs
      without error
    ∘ Setting the cached menu item (LP: #723463) (LP: #729128) (LP: #729194)

 -- Ted Gould <ted@ubuntu.com>  Thu, 10 Mar 2011 11:12:50 -0600

libdbusmenu (0.3.100-0ubuntu4) natty; urgency=low

  * libdbusmenu-gtk/parser.c
    - Ensure we set the CACHED_MENUITEM data on GtkWidget's, this fixes a few
      bugs (LP: #723463) (LP: #729128) (LP: #729194)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 08 Mar 2011 20:49:41 -0500

libdbusmenu (0.3.100-0ubuntu3) natty; urgency=low

  * libdbusmenu-glib/menuitem.c
    - Steal earlier instead of later so that signal handlers don't find the
      value in the hashtable (LP: #725603) (LP: #730198)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 07 Mar 2011 14:27:09 -0500

libdbusmenu (0.3.100-0ubuntu2) natty; urgency=low

  * Cherry picked fix for path to find types.h

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 04 Mar 2011 10:22:36 -0500

libdbusmenu (0.3.100-0ubuntu1) natty; urgency=low

  * New upstream release.
    * GTK application menus are not correctly displayed (LP: #726678)
    * Fix LP: #723873 - ensure that changing a menuitem property to a
      default value gets propagated properly in the client
    * Fix some crashes by disconnecting more signals when a menuitem is
      deleted.  LP: #725980 and LP: #726153
    * Making sure to grab the variant and dispose of it in handle_event.
    * Change the destroy prototype to fix GIR warnings
    * Fix emitting property changes to use tuples
    * Track the icon theme directories
    * Handle cases where passed in property names could be in the
      properties hash table
    * Making property names match DBus protocol recommendations
    * Restricting GIR scanner to exported interfaces
    * Use the library i18n libraries instead of the app ones
    * Make GetLayout use the parent parameter
  * debian/patches: All submitted upstream

 -- Ted Gould <ted@ubuntu.com>  Thu, 03 Mar 2011 13:54:31 -0600

libdbusmenu (0.3.99-0ubuntu5) natty; urgency=low

  * debian/patches/lp726678.patch
    - GTK application menus are not correctly displayed (LP: #726678)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 01 Mar 2011 12:14:35 -0500

libdbusmenu (0.3.99-0ubuntu4) natty; urgency=low

  * Fix a warning in gedit
    - update debian/patches/fix-defaults-in-client.patch
  * Fix missing submenus in bluetooth-applet
    - add debian/patches/bluetooth-applet-fix.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 01 Mar 2011 15:13:00 +0000

libdbusmenu (0.3.99-0ubuntu3) natty; urgency=low

  * Fix LP: #723873 - ensure that changing a menuitem property to a default
    value gets propagated properly in the client
    - add debian/patches/fix-defaults-in-client.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 01 Mar 2011 00:47:24 +0000

libdbusmenu (0.3.99-0ubuntu2) natty; urgency=low

  * debian/patches/disconnect-more-signals.patch:
    - Fix some crashes by disconnecting more signals when a menuitem is
      deleted.  LP: #725980 and LP: #726153

 -- Michael Terry <mterry@ubuntu.com>  Mon, 28 Feb 2011 10:09:57 -0500

libdbusmenu (0.3.99-0ubuntu1) natty; urgency=low

  [ Ted Gould ]
  * New upstream release.
    * Add a signal on the menuitem for generic event support
    * Handle the case of a single NULL entry as well.
    * Not checking defaults when value is NULL
    * Add the 'type' variable first when processing new
      menuitems
    * Protection from unref'ing NULL variants
    * Only send the requested properties and request fewer
    * Add in a defaults database
    * Only send property updates if the menu item has been
      seen on the bus.
    * Add a property for text direction.
    * Add a property for needing attention.
    * Documentation fixes
    * Making menuitems track their own parents
    * Resolving property changes by looking at the properties
      directly.

  [ Ken VanDine ]
  * libdbusmenu-glib/menuitem.c
    - Making sure to grab the variant and dispose of it in handle_event.

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Feb 2011 22:54:54 -0500

libdbusmenu (0.3.98-0ubuntu4) natty; urgency=low

  * Merged from trunk (rev 220)
    - Cleaning up cleaning up so we don't unref twice and crash
    - Fixing the signatures to make them more consistent
    - Adding defaults to translatable files
    - Support a set of defaults and not sending them over the bus.
    - Fixing annotations and adding tests with python.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Feb 2011 11:34:57 -0500

libdbusmenu (0.3.98-0ubuntu3) natty; urgency=low

  * debian/control:
    - Use new libgtk-3-dev build-depends

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Feb 2011 16:16:44 +1100

libdbusmenu (0.3.98-0ubuntu2) natty; urgency=low

  * libdbusmenu-glib/{client,menuitem,server}.c
    * Be more selective on unref

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Feb 2011 09:23:38 -0500

libdbusmenu (0.3.98-0ubuntu1) natty; urgency=low

  * New upstream release.
    ∘ Fixing distcheck
    ∘ Grouping Property Change events into a single DBus signal
    ∘ Removing XML from the GetLayout function
    ∘ Clean up icon handling in the parser (LP: #715864)
    ∘ Fixing signatures on dbusmenu-dumper
  * debian/control: Removing libxml2 Build-Dep

 -- Ted Gould <ted@ubuntu.com>  Thu, 17 Feb 2011 11:11:40 -0600

libdbusmenu (0.3.97-0ubuntu1) natty; urgency=low

  [Ted Gould]
  * New upstream release.
    ∘ Handle ChildAdded on GtkShell items (LP: #709839)
    ∘ Fixing take_children() to not unref
    ∘ Fix naming of the GIR file (LP: #713099)

  [Ken VanDine]
  * debian/gir1.2-dbusmenu-glib-0.4.install,
    debian/libdbusmenu-glib-dev.install: Changing gir, typelib and vala
    file names

 -- Ted Gould <ted@ubuntu.com>  Thu, 10 Feb 2011 14:40:14 -0600

libdbusmenu (0.3.96-0ubuntu3) natty; urgency=low

  * libdbusmenu-gtk/parser.c
    - Handle ChildAdded on GtkShell items and clean up the code so that it
      has single functions for doing common operations. (LP: #709839)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 07 Feb 2011 09:29:09 -0500

libdbusmenu (0.3.96-0ubuntu2) natty; urgency=low

  * libdbusmenu-glib/menuitem.c
    - take_children() shouldn't unref as the caller wouldn't get a chance
      to use the items if this was the last ref.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 04 Feb 2011 12:18:13 -0500

libdbusmenu (0.3.96-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Remove signal handlers for correct objects

 -- Ted Gould <ted@ubuntu.com>  Thu, 03 Feb 2011 14:11:16 -0600

libdbusmenu (0.3.95-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fix crashes on rapidly creating and destroying client
      and menu objects (LP: #709754)
    * Fix dynamically changed submenus to get the parsed
     (LP: #696896)
    * Fix bad signature on GetProperties with no hits

 -- Ted Gould <ted@ubuntu.com>  Mon, 31 Jan 2011 16:03:06 -0600

libdbusmenu (0.3.94-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fixing setting toggle to a boolean
    * Fixing some memory leaks
    * Fixing signatures in GetChildren
    * Look for the serializable menuitems and use their
      build functions
    * Fix critical message from being printed
    * Fixing shutdown messages on destruction
    * Fixing warnings from 'use-fallback'
    * Adding a parser
    * Adding a serializable menu item

 -- Ted Gould <ted@ubuntu.com>  Thu, 27 Jan 2011 14:26:19 -0600

libdbusmenu (0.3.93-0ubuntu1) natty; urgency=low

  [ Ted Gould ]
  * New upstream release.
    * Fixing scanner export
    * Increasing scanner warnings
    * Signalling to DBus when object is registered
    * Handling errors in GVariant better than crashing

  [ Ken VanDine ]
  * debian/control
    - Bumped build depends for libgtk3.0-dev to >= 2.99.2-1ubuntu2, a gir
      related patch we needed was dropped in 2.99.2-1ubuntu1 but re-added
      in 2.99.2-1ubuntu2

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 20 Jan 2011 15:05:52 -0500

libdbusmenu (0.3.92-0ubuntu3) natty; urgency=low

  * libdbusmenu-glib/server.c
    * Better error handling when parsing g_variants (LP: #703039)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 18 Jan 2011 12:19:37 -0500

libdbusmenu (0.3.92-0ubuntu2) natty; urgency=low

  * libdbusmenu-glib/Makefile.am, libdbusmenu-gtk/Makefile.am
    - Use EXPORT_PACKAGES to prevent circular build depends

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 18 Jan 2011 10:05:15 -0500

libdbusmenu (0.3.92-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Fixing handle event to send unboxed values
    * Build fixes

 -- Ted Gould <ted@ubuntu.com>  Fri, 14 Jan 2011 10:43:44 -0600

libdbusmenu (0.3.91-0ubuntu1) natty; urgency=low

  * New upstream release.
    * Porting from dbus-glib to GDBus
    * Bumping the library ABI version
  * debian/*.install: Changing to be the 0.4 version of the dbusmenu
    API of all the filenames and paths.
  * debian/control: Bumping ABI version in package names
  * debian/control: Changing the GIR package names from "0.2" to
    "0.4" which now the names of the actual files.

 -- Ted Gould <ted@ubuntu.com>  Thu, 13 Jan 2011 10:24:28 -0600

libdbusmenu (0.3.90-0ubuntu3) natty; urgency=low

  * Updated for the gir abi transition

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 16 Dec 2010 10:06:26 -0500

libdbusmenu (0.3.90-0ubuntu2) natty; urgency=low

  * libdbusmenu-gtk/genericmenuitem.c
    - Switching away from using set_activate as that doesn't actually set
      the value, it just signals

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Dec 2010 17:46:41 -0500

libdbusmenu (0.3.90-0ubuntu1) natty; urgency=low

  * debian/rules
    - Added build targets to build with gtk3 enabled in additional to
      default build with gtk2
  * debian/control
    - Updated build depends to support building with gtk+-3.0
    - Added dh-autoreconf build depends
    - Added libdbusmenu-gtk3-2, libdbusmenu-gtk3-dev, gir1.0-dbusmenu-gtk3-0.2
      binaries
    - build depend on libgdk-pixbuf2.0-dev >= 2.22.1-0ubuntu4, needed
      for GIR fixes
    - Removed build depends for gir-repository-dev (LP: #677382)
    - Use gir:Depends
  * docs/libdbusmenu-gtk/reference/Makefile.am, libdbusmenu-glib/Makefile.am,
    libdbusmenu-gtk/Makefile.am
    - Fixes needed for building with-gtk=3

  [ Ted Gould ]
  * New upstream release.
    * Breaking ABI and getting reserved back
    * Adding build support for GTK2/3 builds
    * Only force a flush of top level items, allow others to be
      based on the count.
  * debian/control, debian/libdbusmenu-glib2.install,
    debian/libdbusmenu-gtk2.install: Switching package names to
    match .so bump.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Nov 2010 12:05:39 -0500

libdbusmenu (0.3.16-0ubuntu1) maverick; urgency=low

  * New upstream release:
    * Don't use a typedef in the signal handler in the class to
      avoid confusing vapigen.

 -- Ted Gould <ted@ubuntu.com>  Wed, 22 Sep 2010 10:28:01 -0500

libdbusmenu (0.3.15-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release:
    - fix Action for top-level dropdown menu item not activated (LP: #637692)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 22 Sep 2010 14:55:44 +0200

libdbusmenu (0.3.14-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Fixing a memory leak by unref'ing a hashtable
    * Making a callback for the event dbus function happen off
      of the mainloop so it returns a response. (LP: #636756)

 -- Ted Gould <ted@ubuntu.com>  Wed, 15 Sep 2010 11:36:09 -0500

libdbusmenu (0.3.13-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Handling window grabs on activated signals (LP: #633275)
    * Fixing the passing of the value to the results signal
    * Adding a test for checking event results signal
    * Changing the timeouts on event calls for better detection
      of failing applications

  [Ken VanDine]
  * debian/control
    - Dropped build depends for dbus-test-runner, it isn't in the archive
      yet, we should add that next cycle

 -- Ted Gould <ted@ubuntu.com>  Thu, 09 Sep 2010 09:50:15 -0500

libdbusmenu (0.3.12-0ubuntu1) maverick; urgency=low

  * debian/rules: update the shlibs

  [ Ted Gould ]
  * New upstream release.
    * Support activation of menus client side
    * Increase layout XML size (LP: #621238)
    * Display an event for the status of the signal to the server

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Aug 2010 23:34:45 +0200

libdbusmenu (0.3.11-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Fix to handle whitespace in layout XML better
    * Fixes to test scripts on ARM

 -- Ted Gould <ted@ubuntu.com>  Thu, 19 Aug 2010 13:47:33 -0500

libdbusmenu (0.3.10-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Fixes to dbusmenu-dumper

 -- Ted Gould <ted@ubuntu.com>  Thu, 12 Aug 2010 11:28:37 -0500

libdbusmenu (0.3.9-0ubuntu2) maverick; urgency=low

  * Rebuild with the current gobject introspection version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 21:50:16 +0200

libdbusmenu (0.3.9-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Making it so that properties are requested bredth first
    * Globbing layout signaling from the server
    * Globbing property requests into group requests (LP: #604670)

 -- Ted Gould <ted@ubuntu.com>  Mon, 02 Aug 2010 20:28:58 -0500

libdbusmenu (0.3.8-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Added ItemActivationRequested signal.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Jul 2010 13:44:34 -0400

libdbusmenu (0.3.7-1) unstable; urgency=low

  * Merge latest upstream from Ubuntu.
  * Standards-Version: 3.9.1

 -- Evgeni Golov <evgeni@debian.org>  Thu, 29 Jul 2010 12:00:04 +0200

libdbusmenu (0.3.7-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 22 Jul 2010 21:17:13 +0200

libdbusmenu (0.3.6-1) unstable; urgency=low

  * Merge new upstream from Ubuntu.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 17 Jul 2010 10:47:35 +0200

libdbusmenu (0.3.6-0ubuntu2~ppa1) lucid; urgency=low

  * Upstream Merge
    * Making dbusmenu-dumper have a click to dump feature.
  * Autogen update

 -- Ted Gould <ted@ubuntu.com>  Tue, 20 Jul 2010 16:40:29 -0500

libdbusmenu (0.3.6-0ubuntu1) maverick; urgency=low

  * New upstream release.
    ∘ Protect against NULL values as event

 -- Ted Gould <ted@ubuntu.com>  Thu, 15 Jul 2010 09:42:07 -0500

libdbusmenu (0.3.5-1) unstable; urgency=low

  * Merge new upstream and changes from Ubuntu.
  * debian/control:
    + Add missing "used" to the json package description.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 14 Jul 2010 10:21:29 +0200

libdbusmenu (0.3.5-0ubuntu1) maverick; urgency=low

  * New upstream release.
    ∘ Protect against NULL nodes (LP: #602444)
    ∘ Remove extra warnings and messages
    ∘ Handle not having a session bus better (LP: #598715)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Jul 2010 10:24:18 -0500

libdbusmenu (0.3.4-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Block building submenus on separators (LP: #598620)
    * Adding more through JSON support for testing
    * Fixing up value handling in dbusmenu-dumper
  * debian/control, debian/libdbusmenu-jsonloader*install: Adding
    two binary packages for the jsonloader test library.

 -- Ted Gould <ted@ubuntu.com>  Thu, 01 Jul 2010 09:00:16 -0500

libdbusmenu (0.3.3-1) unstable; urgency=low

  * Merge Ubuntu.
    Preserve Maintainer and Vcs-* fields.
  * Standards-Version: 3.9.0
  * Source-Format: 1.0 for now

 -- Evgeni Golov <evgeni@debian.org>  Thu, 01 Jul 2010 11:42:23 +0200

libdbusmenu (0.3.3-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Adding support for menu shortcuts (LP: #591293)
    * Fixing distcheck of documentation builds
    * Autogen.sh fix for adding custom prefix (LP: #595565)
    * Fixing children property name to match spec (LP: #597321)
  * Merging in Debian branch
  * debian/control: Switching branch on this branch to be the
    dbusmenu-team.
  * debian/rules: Updating shlibs to 0.3.3 for shortcut API additions

 -- Ted Gould <ted@ubuntu.com>  Thu, 24 Jun 2010 09:32:42 -0500

libdbusmenu (0.3.2-1) unstable; urgency=low

  * Merge from Ubuntu.
    Closes: #586069
  * debian/control:
    - Set Maintainer to pkg-ayatana.
    - Add myself as Uploader.
    - Update package descriptions.
    - Standards-Version: 3.8.4
    - Fix Homepage URL.
    - Update Vcs-* fields.
    - -doc packages are Arch:all
  * debian/copyright:
    - Convert to DEP5 format.
    - Add Ken and Sebastien, according to changelog.
    - Add Aurélien Gâteau, according to headers.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 Jun 2010 13:56:00 +0200

libdbusmenu (0.3.2-0ubuntu1) maverick; urgency=low

  * debian/control
    - added doc packages
    - added build dep for gtk-doc-tools
  * debian/libdbusmenu-glib-doc.install added
  * debian/libdbusmenu-gtk-doc.install added
  * debian/rules
    - enabled gtk-doc for configure

  [Ted Gould]
  * New upstream release.
    * Set the 'child-display' property on menuitems that
      have child menuitems.
    * gtk-doc support
    * Document the 'shortcut' property

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Jun 2010 16:33:42 -0400

libdbusmenu (0.3.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
    * Fix annotations for GIR scanner
    * Add function to get submenu of GTK-ified items
    * Fix signal prototype of ID update
    * Fixing up VAPI files to build them correctly
      * Fixing the version string in the GIR file
    * Fix documentation title page
    * Reject text nodes early (warnings with Qt integration)
  * debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
    names for package list.
  * debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
    typelib file.

 -- Ted Gould <ted@ubuntu.com>  Fri, 04 Jun 2010 14:42:26 -0500

libdbusmenu (0.3.0-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream release.
    * Add function to get submenu of GTK-ified items
    * Fix signal prototype of ID update
    * Fixing up VAPI files to build them correctly
      * Fixing the version string in the GIR file
    * Fix documentation title page
    * Reject text nodes early (warnings with Qt integration)
  * debian/libdbusmenu-glib-dev.install: Updating gir and vapi file
    names for package list.
  * debian/gir1.0-dbusmenu-glib-0.2.install: Changing the name of the
    typelib file.

 -- Ted Gould <ted@ubuntu.com>  Thu, 27 May 2010 11:47:05 -0500

libdbusmenu (0.2.9-0ubuntu3) lucid; urgency=low

  * Upstream Merge
    * Only unref root if the root has changed.
    * Ensure that callbacks retain references to objects incase
      they get deleted quickly.
    * Protecting references before signalling
    * Decrementing refs when added to child menus

 -- Ted Gould <ted@ubuntu.com>  Sat, 17 Apr 2010 13:09:57 -0500

libdbusmenu (0.2.9-0ubuntu2) lucid; urgency=low

  * Upstream Merge
    * Changing GTK layer to look at position in realized
      children to avoid realization races. (LP: #555816)
    * Don't allow setting children twice
    * Ref children of a menuitem
    * Return error when parent ID of getlayout can't be found
    * Adding in visible property to docs
    * Helpful comments in the code

 -- Ted Gould <ted@ubuntu.com>  Thu, 15 Apr 2010 01:25:42 -0500

libdbusmenu (0.2.9-0ubuntu1) lucid; urgency=low

  * New upstream release.
    * Documentation fix
    * Changing the parse function to get_children instead of
      taking them. (LP: #471044)
    * Supporting AboutToShow in event callbacks to catch up
      with QT implementation.
    * Unrefing on layout updates (LP: #545026)
    * Resetting sync versions on disconnection
    * Removing useless warning

 -- Ted Gould <ted@ubuntu.com>  Thu, 01 Apr 2010 09:14:36 -0500

libdbusmenu (0.2.8-0ubuntu2) lucid; urgency=low

  * debian/control:
    - restore vcs location, we move back to the non import version, the other
      one don't allow merging trunk changes

  [ Ted Gould ]
  * Upstream Merge
    * Changing the parse function to get_children instead of
      taking them. (LP: #471044)
    * Supporting AboutToShow in event callbacks to catch up
      with QT implementation.
    * Unrefing on layout updates (LP: #545026)
    * Resetting sync versions on disconnection
    * Removing useless warning

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Apr 2010 12:36:06 +0200

libdbusmenu (0.2.8-0ubuntu1) lucid; urgency=low

  * debian/control
    - Dropped Vcs-Bzr and Vcs-Browser
    - Added extended description for gir1.0-dbusmenu-gtk-0.2 and
      gir1.0-dbusmenu-glib-0.2

  * debian/rules
    - bumped shlibs version to 0.2.8 for libdbusmenu-glib1

  [Ted Gould]
  * Upstream release 0.2.8
    * Adding support for blank icons (LP: #534854)
    * Remove unneeded warning (LP: #537312)
    * Fix typo in documentation

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Mar 2010 11:35:46 -0400

libdbusmenu (0.2.7-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.7
    * Adding in building of the GObject Introspection details
    * Adding in building of VAPI files
  * debian/control:
    * Adding dependency on valac
    * Adding in gir's as build dependencies.
    * Adding in build dependencies for GIR dev
    * Adding dependencies for gir-repository-dev and
      gobject-introspection to ensure we get all the GI goodies.
  * debian/control, debian/gir1.0-dbusmenu-glib-0.2.install,
    debian/gir1.0-dbusmenu-gtk-0.2.install: Adding new packages to
    hold the typelib files generated by GObject introspection.
  * debian/libdbusmenu-glib-dev.install,
        debian/libdbusmenu-gtk-dev.install:
    * Added VAPI files to the packages.
    * Added GIR files to the packages.

 -- Ted Gould <ted@ubuntu.com>  Thu, 04 Mar 2010 11:13:43 -0600

libdbusmenu (0.2.6-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.6
    * Fix testing to make it more reliable
    * Remove delayed property queueing as it was causing properties to not
      get updated. (lp: #524308)

 -- Ted Gould <ted@ubuntu.com>  Thu, 25 Feb 2010 10:23:49 -0600

libdbusmenu (0.2.5-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.5
    * Adding in menuitem proxy object.
    * Adding ID to default <menu> item.
  * debian/rules: Updating shlibs

 -- Ted Gould <ted@ubuntu.com>  Thu, 18 Feb 2010 11:00:24 -0600

libdbusmenu (0.2.4-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.4
    * Remove uneccessary reference to stop duplication of menus
    * Handle dbus method errors better

 -- Ted Gould <ted@ubuntu.com>  Thu, 11 Feb 2010 10:13:56 -0600

libdbusmenu (0.2.3-0ubuntu3) lucid; urgency=low

  * Backported lp:~ted/dbusmenu/dbus-error-handling to fix the
    indicator-applet crashing sometime on softwares close
    (lp: #518900, #519019)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Feb 2010 00:12:35 +0100

libdbusmenu (0.2.3-0ubuntu2) lucid; urgency=low

  * Upstream Merge
    * Removing the ref to root and a setting of root

 -- Ted Gould <ted@ubuntu.com>  Tue, 09 Feb 2010 08:53:00 -0600

libdbusmenu (0.2.3-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.3
    * Fixing handing of root IDs being zero
    * Handling syncing of properties when reusing items
    * Shipping new JSON files and READMEs for testing.
  * libdbusmenu-tools.install: Add in json file and README so
    that they're put in the right directories.

 -- Ted Gould <ted@ubuntu.com>  Fri, 05 Feb 2010 11:24:58 -0800

libdbusmenu (0.2.2-0ubuntu3) lucid; urgency=low

  * debian/control:
    - let libdbusmenu-glib1 breaks libdbusmenu-glib0 since they are create
      issues at runtime if both got loaded

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Feb 2010 18:10:56 -0800

libdbusmenu (0.2.2-0ubuntu2) lucid; urgency=low

  * debian/control: fix a typo in the tools depends

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Feb 2010 14:18:47 -0800

libdbusmenu (0.2.2-0ubuntu1) lucid; urgency=low

  * Updated for the soname changes

  [ Ted Gould ]
  * Upstream Release 0.2.2
    * Interoperability fixes
    * Adding timestamps to events
    * Better handling of XML
    * Adding tools for timing dbusmenu
  * debian/libdbusmenu-tools.install: Adding a wildcard to get
    all of the tools in libexec

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Feb 2010 13:56:49 -0800

libdbusmenu (0.2.1-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.1
    - Fix to not destroy the image if we're still using it.
    - Adding code to support icon names that have an implied direction in them.
    - Fix to put a small amount of padding between the icon and the label.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 12 Jan 2010 11:03:39 -0500

libdbusmenu (0.2.0-0ubuntu3) lucid; urgency=low

  * debian/rules:
    - updated shlibs version (lp: #505258)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 11 Jan 2010 16:04:11 +0100

libdbusmenu (0.2.0-0ubuntu2) lucid; urgency=low

  * Added debian/libdbusmenu-tools.install
  * debian/control
    - improved description for libdbusmenu-tools

 -- Ken VanDine <ken.vandine@canonical.com>  Sat, 09 Jan 2010 09:05:47 -0500

libdbusmenu (0.2.0-0ubuntu1) lucid; urgency=low

  * Upstream release 0.2.0
    - Remove unused libdbusmenu-qt
    - Changing API to be V0.2 for reals
    - Adding underline support
    - Test suite fixes and automation support
    - dbus-dumper tool
    - Switch to org.ayatana
    - Fixing the handling of typed properties, especially bools.
    - Adding GetChildren function for getting a single submenu
    - Starting to watch DBus if the proxy builds fail.
    - Test suite fixes
    - Fixing the consistency between the #defines and what
      was used in the code.
  * debian/control, debian/libdbusmenu-tools.install: Setting
    up a package for the new dbusmenu-dumper tool.
  * debian/control: Mentioning nicely that this will cause
    indicator-messages << 0.3 and indicator-session << 0.2 to
    break.

 -- Ted Gould <ted@ubuntu.com>  Fri, 08 Jan 2010 08:42:59 -0600

libdbusmenu (0.1.8-0ubuntu1) lucid; urgency=low

  * Upstream release 0.1.8
    * Changing the name to org.ayatana
    * Underline fixes
    * Documenation of the DBus API
    * Adding the GPL v3 Copying file so that we're all legal.

 -- Ted Gould <ted@ubuntu.com>  Thu, 10 Dec 2009 12:55:07 -0600

libdbusmenu (0.1.6-0ubuntu1) karmic; urgency=low

  * Upstream release 0.1.6 (LP: #442822)
    * Managing the life-cycle of the GTK Menu item better to
      ensure that it is positioned correctly and dies
      appropriately. (LP: #430904) and (LP: #419953)
    * Checking returned properties to ensure that there wasn't
      DBus errors. (LP: #433719)

 -- Ted Gould <ted@ubuntu.com>  Fri, 02 Oct 2009 17:00:45 -0500

libdbusmenu (0.1.5-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #436185)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 24 Sep 2009 17:12:25 -0400

libdbusmenu (0.1.4-0ubuntu1) karmic; urgency=low

  * Upstream release (LP: #432003)
    - Applying a fix by not blocking if we're calling for the root.  Everyone
      should be listening for root changes anyway (lp: #427819)

 -- Ted Gould <ted@ubuntu.com>  Thu, 17 Sep 2009 11:29:40 -0500

libdbusmenu (0.1.3-0ubuntu1) karmic; urgency=low

  * Upstream update 0.1.3 (LP: #427360)
    * Fixes reordering of menu item issue

 -- Ted Gould <ted@ubuntu.com>  Thu, 10 Sep 2009 08:43:47 -0500

libdbusmenu (0.1.2-0ubuntu1) karmic; urgency=low

  * debian/rules:
    - updated shlib version

  [ Ted Gould ]
  * Upstream release 0.1.2 (LP: #423958)

  [ Ken VanDine ]
  * debian/control
    - Specify full urls for Vcs-Bzr

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 Sep 2009 11:12:38 +0200

libdbusmenu (0.1.0-0ubuntu1) karmic; urgency=low

  [ Ted Gould ]
  * Upstream release 0.1.0
  * debian/watch: Added for tarball
  * debian/control:
    - Specify both Vcs-Bzr and Vcs-Browser
    - Fixed the project name

  [ Martin Pitt ]
  * Add bzr-builddep configuration for merge mode.
  * debian/control: Fix Vcs-* links.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Aug 2009 20:55:55 +0200

libdbusmenu (0.1~bzr5-0ubuntu1) karmic; urgency=low

  * First version.

 -- Ted Gould <ted@ubuntu.com>  Wed, 05 Aug 2009 00:46:41 +0100
